Subject: Re: [PATCHv4] git-p4: add initial support for RCS keywords

From: Luke Diamand <[email-masked]>
Date: Wed, 22 Feb 2012 22:44:20 +0000

On 22/02/12 19:29, Junio C Hamano wrote:
> Pete Wyckoff<[email-masked]>  writes:
>
>>> Improved-by: Pete Wyckoff<[email-masked]>
>>> Signed-off-by: Luke Diamand<[email-masked]>
>>
>> Looks brilliant.  Ack.  Thanks for suffering through N rounds of
>> review.  :)
>
> Well, I hate to say that I need to ask another round, to redo this patch
> on top of ld/git-p4-expanded-keywords topic that has already been in
> 'next'; a patch that replaces what is in 'next' will lose fix-ups for
> issues I pointed out in the first round that you forgot to follow and were
> fixed up locally by me when I queued the existing one.
>
> When working on an improvement to what you have sent out, please make it a
> habit of comparing your result with what are already queued, even when the
> earlier patches are still in 'pu'.  They often are polished with trivial
> improvements (both to the patch and the log message) based on review
> comments from people when they are queued, which you do not want to lose.

Sorry - I had completely forgotten about that.

No need to apologize for asking me to rework this. I'm using this 
amazing version control system that makes it really easy.

Now, if I was using Perforce, then by now I would pretty unhappy.... P

> Thanks.